AWS
probe ElastiCache

# get_cache_node_status

Returns the status of the given cache cluster

Run it now
View details

Type | probe
Module | chaosaws.elasticache.probes
Name | get_cache_node_status
Return | string

Usage

JSON

    {
      "name": "get-cache-node-status",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.elasticache.probes",
        "func": "get_cache_node_status",
        "arguments": {
          "cluster_id": ""
        }
      }
    }

YAML

    name: get-cache-node-status
    provider:
      arguments:
        cluster_id: ""
      func: get_cache_node_status
      module: chaosaws.elasticache.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | list |  | Yes | Cluster ID | Cluster identifier

example

    {
      "type": "probe",
      "name": "validate cache node status",
      "tolerance": "available",
      "provider": {
        "type": "python",
        "module": "chaosaws.elasticache.probes",
        "func": "get_cache_node_status",
        "arguments": {
          "cluster_id": "MyTestCluster"
        }
      }
    }

Signature

    def get_cache_node_status(cluster_id: str,
                              configuration: Dict[str, Dict[str, str]] = None,
                              secrets: Dict[str, Dict[str, str]] = None) -> str:
        pass

## Related starters

- AWS
  action ElastiCache

  ## `delete_replication_groups`

  Deletes one or more replication groups and creates a final snapshot
- AWS
  probe ElastiCache

  ## `describe_cache_cluster`

  Returns cache cluster data for given cluster
- AWS
  probe ElastiCache

  ## `get_cache_node_count`

  Returns the number of cache nodes associated to the cluster